/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.inboxlistener.model;

import com.funambol.email.util.UtilityIL;



/**
 *
 * @version $Id: DBAccount.java,v 1.2 2006/11/14 09:22:04 gbmiglia Exp $
 */
public class DBAccount
{

  /**   */
  private String jdbcDriver   = null;
  /**   */
  private String jdbcUrl      = null;;
  /**   */
  private String jdbcUser     = null;;
  /**   */
  private String jdbcPassword = null;;

  /** reloading time  */
  private int reloadingTime   = 600000;


   /**
    *
    */
   public DBAccount(String _jdbcDriver,
                    String _jdbcUrl,
                    String _jdbcUser,
                    String _jdbcPassword,
                    int _reloadingTime){
      this.jdbcDriver    = _jdbcDriver;
      this.jdbcUrl       = _jdbcUrl;
      this.jdbcUser      = _jdbcUser;
      this.jdbcPassword  = _jdbcPassword;
      this.reloadingTime = UtilityIL.setMilliSec(_reloadingTime);
   }


   /**
    *
    */
   public String getJdbcDriver(){
      return this.jdbcDriver;
   }

   /**
    *
    */
   public String getJdbcUrl(){
      return this.jdbcUrl;
   }

   /**
    *
    */
   public String getJdbcUser(){
      return this.jdbcUser;
   }

   /**
    *
    */
   public String getJdbcPassword(){
      return this.jdbcPassword;
   }

   /**
    *
    */
   public int getReloadingTime(){
      return this.reloadingTime;
   }

}
