/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.inboxlistener.model;



/**
 *
 * @version $Id: WSAccount.java,v 1.1 2006/10/31 16:41:51 gbmiglia Exp $
 */
public class WSAccount
{

   /**   */
   private String  wsEndPoint         = null;
   /**   */
   private String  wsUsername         = null;
   /**   */
   private String  wsPassword         = null;
   /**   */
   private String  wsSyncSourceType   = null;
   /**   */
   private String  wsSyncSource       = null;



   /**
    *
    */
   public WSAccount(String _wsEndPoint,
                    String _wsUsername,
                    String _wsPassword,
                    String _wsSyncSourceType,
                    String _wsSyncSource){
      this.wsEndPoint         = _wsEndPoint;
      this.wsUsername         = _wsUsername;
      this.wsPassword         = _wsPassword;
      this.wsSyncSourceType   = _wsSyncSourceType;
      this.wsSyncSource       = _wsSyncSource;
   }

   /**
    *
    */
   public String getWsEndPoint(){
      return this.wsEndPoint;
   }

   /**
    *
    */
   public String getWsUsername(){
      return this.wsUsername;
   }

   /**
    *
    */
   public String getWsPassword(){
      return this.wsPassword;
   }

   /**
    *
    */
   public String getWsSyncSourceType(){
      return this.wsSyncSourceType;
   }
   
   /**
    *
    */
   public String getWsSyncSource(){
      return this.wsSyncSource;
   }

}
