/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.security ;

/**
 *
 * @version $Id: MailServer.java,v 1.1 2006/11/15 17:37:48 gbmiglia Exp $
 */
public class MailServer {

    private String listenerId         = "";
    private String host               = "";
    private String protocol           = "pop3";
    private int port                  = 110;
    private boolean sslActive         = false;
    private String keystorePath       = "";
    private String keystorePassphrase = "";
    


    public MailServer(){
    }


    public String getListenerId() {
        return this.listenerId;
    }
    public void setListenerId(String _listenerId) {
        this.listenerId = _listenerId;
    }

    public String getHost() {
        return this.host;
    }
    public void setHost(String _host) {
        this.host = _host;
    }

    public String getProtocol() {
        return this.protocol;
    }
    public void setProtocol(String _protocol) {
        this.protocol = _protocol;
    }

    public int getPort() {
        return this.port;
    }
    public void setPort(int _port) {
        this.port = _port;
    }
    
    public boolean getSslActive() {
        return this.sslActive;
    }
    public void setSslActive(boolean _sslActive) {
        this.sslActive = _sslActive;
    }
    
    public String getKeystorePath() {
        return this.keystorePath;
    }
    public void setKeystorePath(String _keystorePath) {
        this.keystorePath = _keystorePath;
    }    

    public String getKeystorePassphrase() {
        return this.keystorePassphrase;
    }
    public void setKeystorePassphrase(String _keystorePassphrase) {
        this.keystorePassphrase = _keystorePassphrase;
    }    
    
}
