/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.inboxlistener.model;



/**
 *
 * @version $Id: MailboxAccount.java,v 1.1 2006/10/31 16:41:51 gbmiglia Exp $
 */
public class MailboxAccount
{

   private String  user           ;
   private String  password       ;
   private boolean isEnable       ;
   private String  listenerID     ;
   private int     maxEmailNumber ;

   /**
    *
    */
   public MailboxAccount(String _user,
                         String _password,
                         boolean _isEnable,
                         String _listenerID,
                         int _maxEmailNumber){
      this.user           = _user;
      this.password       = _password;
      this.isEnable       = _isEnable;
      this.listenerID     = _listenerID;
      this.maxEmailNumber = _maxEmailNumber;
   }

   /**
    *
    */
   public String getUser(){
      return this.user;
   }

   /**
    *
    */
   public String getPassword(){
      return this.password;
   }
   
   /**
    *
    */
   public void setPassword(String _password){
      this.password = _password;
   }   

   /**
    *
    */
   public boolean isEnable(){
      return this.isEnable;
   }

   /**
    *
    */
   public String getListenerID(){
      return this.listenerID;
   }

   /**
    *
    */
   public int getMaxEmailNumber(){
      return this.maxEmailNumber;
   }

   /**
    *
    */
   public void setMaxEmailNumber(int _maxEmailNumber){
      this.maxEmailNumber = _maxEmailNumber;
   }
   
   /**
    *
    */
   public String toString(){
      return this.getUser() + " [id:" + this.getListenerID() + 
              " - max email: "+this.getMaxEmailNumber()+
              " - activation: "+this.isEnable()+"]" ;
   }

}
