/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.items.model;


/**
 *
 * @version $Id: FlagProperties.java,v 1.3 2006/08/08 09:31:11 gibi Exp $
 */
public class FlagProperties
{

   private boolean isSeen     ;
   private boolean isAnswered ;
   private boolean isDeleted  ;
   private boolean isDraft    ;
   private boolean isRecent   ;
   private boolean isFlagged  ;

   /**
    *
    * @param isSeen boolean
    * @param isAnswered boolean
    * @param isDeleted boolean
    * @param isDraft boolean
    * @param isRecent boolean
    * @param isFlagged boolean
    */
   public FlagProperties(boolean isSeen,
                         boolean isAnswered,
                         boolean isDeleted,
                         boolean isDraft,
                         boolean isRecent,
                         boolean isFlagged){
      this.isSeen     = isSeen;
      this.isAnswered = isAnswered;
      this.isDeleted  = isDeleted;
      this.isDraft    = isDraft;
      this.isRecent   = isRecent;
      this.isFlagged  = isFlagged;

   }

   /**
    *
    *
    * @return String
    */
   public String toString(){
     return  "" + this.isSeen + this.isAnswered + this.isDeleted +
                  this.isDraft + this.isRecent + this.isFlagged;

   }

}
