package com.funambol.email.test;

import com.funambol.email.util.Utility;
import com.funambol.email.util.UtilityDate;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.TimeZone;


public class TestDate {
            
    public TestDate() {
        try {
            testHeaderDateParser();
        } catch (Exception e){
            e.printStackTrace();
        }   
    }
    
    
    public static void main(String[] args) throws Exception {
        TestDate t = new TestDate();
    }
    
    
    /**
     * test the header Date parser
     */    
    public void testHeaderDateParser() throws Exception {
        
        String s = "Tue, 2 May 2006 11:59:22 +0000";
        System.out.println(UtilityDate.DateStringToDate(s, null));
        
        s = "Sat, 25 Jun 2005 15:31:48 +0530";
        System.out.println(UtilityDate.DateStringToDate(s, null));
        
        s = "Tue, 2 May 2006 11:59:22 -0060";
        System.out.println(UtilityDate.DateStringToDate(s, null));

        s = "Thu, 19 Oct 2006 17:37:47 UT";
        System.out.println(UtilityDate.DateStringToDate(s, null));
        
        s = "28 Jun 2006 10:39:04 UT";
        System.out.println(UtilityDate.DateStringToDate(s, null));
                
        s = "Thu, 19   2006 12:11:37 +0800";
        System.out.println(UtilityDate.DateStringToDate(s, null));

        s = "Tue, 5 Dec 2006 07:27:05 +0180";
        System.out.println(UtilityDate.DateStringToDate(s, null));
        
        s = "Wed, 6 Dec 2006 01:54:02 +0480";
        System.out.println(UtilityDate.DateStringToDate(s, null));
    }
        
    
}